langcode: en
status: open
dependencies:
  enforced:
    module:
      - webform_test
open: null
close: null
uid: 1
template: false
id: test_element_actions
title: 'Test: Element: Actions'
description: 'Test Actions (aka Submit button(s)) element.'
category: 'Test: Element'
elements: |
  page_1:
    '#type': webform_wizard_page
    '#title': 'Page 1'
    text_field_1:
      '#type': textfield
      '#title': text_field_1
      '#default_value': 'value 1'
  page_2:
    '#type': webform_wizard_page
    '#title': 'Page 2'
    text_field_2:
      '#type': textfield
      '#title': text_field_2
      '#default_value': 'value 2'
  actions_default:
    '#type': webform_actions
    '#title': 'Default buttons'
  actions_custom:
    '#type': webform_actions
    '#title': 'Custom buttons'
    '#attributes':
      style: 'border: 2px solid red; padding: 10px'
    '#submit__label': '{Custom submit}'
    '#submit__attributes':
      class:
        - custom-submit
      style: 'font-weight: bold'
      data-custom-submit: true
    '#reset__label': '{Custom reset}'
    '#reset__attributes':
      class:
        - custom-reet
      style: 'font-weight: bold'
      data-custom-reset: true
    '#draft__label': '{Custom draft}'
    '#draft__attributes':
      class:
        - custom-draft
      style: 'font-weight: bold'
      data-custom-draft: true
    '#wizard_prev__label': '{Custom wizard previous}'
    '#wizard_prev__attributes':
      class:
        - custom-wizard-prev
      style: 'font-weight: bold'
      data-custom-wizard-prev: true
    '#wizard_next__label': '{Custom wizard next}'
    '#wizard_next__attributes':
      class:
        - custom-wizard-next
      style: 'font-weight: bold'
      data-custom-wizard-next: true
    '#preview_prev__label': '{Custom preview previous}'
    '#preview_prev__attributes':
      class:
        - custom-preview-prev
      style: 'font-weight: bold'
      data-custom-preview-prev: true
    '#preview_next__label': '{Custom preview next}'
    '#preview_next__attributes':
      class:
        - custom-preview-next
      style: 'font-weight: bold'
      data-custom-preview-next: true
  actions_submit:
    '#type': webform_actions
    '#title': 'Submit button'
    '#reset_hide': true
    '#draft_hide': true
    '#wizard_prev_hide': true
    '#wizard_next_hide': true
    '#preview_prev_hide': true
    '#preview_next_hide': true
  actions_reset:
    '#type': webform_actions
    '#title': 'Reset button'
    '#submit_hide': true
    '#draft_hide': true
    '#wizard_prev_hide': true
    '#wizard_next_hide': true
    '#preview_prev_hide': true
    '#preview_next_hide': true
  actions_draft:
    '#type': webform_actions
    '#title': 'Draft button'
    '#submit_hide': true
    '#reset_hide': true
    '#wizard_prev_hide': true
    '#wizard_next_hide': true
    '#preview_prev_hide': true
    '#preview_next_hide': true
  actions_wizard_prev:
    '#type': webform_actions
    '#title': 'Wizard previous button'
    '#submit_hide': true
    '#reset_hide': true
    '#draft_hide': true
    '#preview_prev_hide': true
    '#preview_next_hide': true
    '#wizard_next_hide': true
  actions_wizard_next:
    '#type': webform_actions
    '#title': 'Wizard next button'
    '#submit_hide': true
    '#reset_hide': true
    '#draft_hide': true
    '#preview_prev_hide': true
    '#preview_next_hide': true
    '#wizard_prev_hide': true
  actions_preview:
    '#type': webform_actions
    '#title': 'Preview buttons'
    '#submit_hide': true
    '#reset_hide': true
    '#draft_hide': true
    '#wizard_prev_hide': true
    '#wizard_next_hide': true
css: ''
javascript: ''
settings:
  ajax: false
  ajax_scroll_top: form
  page: true
  page_submit_path: ''
  page_confirm_path: ''
  form_submit_once: false
  form_exception_message: ''
  form_open_message: ''
  form_close_message: ''
  form_previous_submissions: true
  form_confidential: false
  form_confidential_message: ''
  form_convert_anonymous: false
  form_prepopulate: false
  form_prepopulate_source_entity: false
  form_prepopulate_source_entity_required: false
  form_prepopulate_source_entity_type: ''
  form_reset: true
  form_disable_autocomplete: false
  form_novalidate: false
  form_disable_inline_errors: false
  form_required: false
  form_unsaved: false
  form_disable_back: false
  form_submit_back: false
  form_autofocus: false
  form_details_toggle: false
  form_login: false
  form_login_message: ''
  submission_label: ''
  submission_log: false
  submission_user_columns: {  }
  submission_login: false
  submission_login_message: ''
  submission_exception_message: ''
  submission_locked_message: ''
  autofill: false
  autofill_message: ''
  autofill_excluded_elements: {  }
  wizard_progress_bar: true
  wizard_progress_pages: false
  wizard_progress_percentage: false
  wizard_start_label: ''
  wizard_confirmation: true
  wizard_confirmation_label: ''
  wizard_track: ''
  preview: 1
  preview_label: ''
  preview_title: ''
  preview_message: ''
  preview_attributes: {  }
  preview_excluded_elements: {  }
  preview_exclude_empty: true
  draft: all
  draft_multiple: false
  draft_auto_save: false
  draft_saved_message: ''
  draft_loaded_message: ''
  confirmation_type: page
  confirmation_title: ''
  confirmation_message: ''
  confirmation_url: ''
  confirmation_attributes: {  }
  confirmation_back: true
  confirmation_back_label: ''
  confirmation_back_attributes: {  }
  confirmation_exclude_query: false
  confirmation_exclude_token: false
  limit_total: null
  limit_total_interval: null
  limit_total_message: ''
  limit_user: null
  limit_user_interval: null
  limit_user_message: ''
  entity_limit_total: null
  entity_limit_total_interval: null
  entity_limit_user: null
  entity_limit_user_interval: null
  purge: none
  purge_days: null
  results_disabled: false
  results_disabled_ignore: false
  token_update: false
access:
  create:
    roles:
      - anonymous
      - authenticated
    users: {  }
    permissions: {  }
  view_any:
    roles: {  }
    users: {  }
    permissions: {  }
  update_any:
    roles: {  }
    users: {  }
    permissions: {  }
  delete_any:
    roles: {  }
    users: {  }
    permissions: {  }
  purge_any:
    roles: {  }
    users: {  }
    permissions: {  }
  view_own:
    roles: {  }
    users: {  }
    permissions: {  }
  update_own:
    roles: {  }
    users: {  }
    permissions: {  }
  delete_own:
    roles: {  }
    users: {  }
    permissions: {  }
  administer:
    roles: {  }
    users: {  }
    permissions: {  }
  test:
    roles: {  }
    users: {  }
    permissions: {  }
handlers: {  }
